Subject: Re: linux-next: duplicate patch in the gpio-brgl tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 23 Oct 2025 19:56:21 +1100

Hi Bartosz,

On Thu, 23 Oct 2025 09:48:25 +0200 Bartosz Golaszewski <[email-masked]> wrote:
>
> I had applied this as ae495810cffe to my v6.19 queue earlier into the
> cycle. Then it turned out it's needed in v6.18 as part of a regression
> fix. At this point it was too late for an immutable branch and I
> didn't want to rebase my for-next tree. I decided to just cherry pick
> it into for-current, send it upstream and then pull back v6.18-rc3
> into my for-next and resolve the conflict. Does this work for you?

It's fine.  One or 2 duplicated patches don't really matter unless they
cause conflicts.  These notifications are mainly just in case you did
it by accident and want to clean it up.  (Or to try to dissuade people
from cherry picking things regularly).

-- 
Cheers,
Stephen Rothwell